Bug 440956 - crashes in gtkmozembed
crashes in gtkmozembed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: codeina (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 13:33 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 11:55:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-04 13:33:45 EDT
Description of problem:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f624a3a96f0 (LWP 26163)]
0x00007f6240377ff2 in EmbedPrivate::Realize (this=<value optimized out>, 
    aAlreadyRealized=<value optimized out>) at EmbedPrivate.cpp:293
293	  mNavigation->SetSessionHistory(mSessionHistory);
Current language:  auto; currently c++
Missing separate debuginfos, use: debuginfo-install gnome-python2-extras.x86_64
gtk-nodoka-engine.x86_64 libICE.x86_64 libSM.x86_64 libcap.x86_64
libnotify.x86_64 notify-python.x86_64
(gdb) bt
#0  0x00007f6240377ff2 in EmbedPrivate::Realize (this=<value optimized out>, 
    aAlreadyRealized=<value optimized out>) at EmbedPrivate.cpp:293
#1  0x00007f62403767c1 in gtk_moz_embed_realize (widget=<value optimized out>)
    at gtkmozembed2.cpp:490
#2  0x0000003c4620b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#3  0x0000003c4621ee79 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#4  0x0000003c462209de in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#5  0x0000003c46220f23 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#6  0x0000003c47cf26be in IA__gtk_widget_realize (widget=Could not find the
frame base for "IA__gtk_widget_realize".
) at gtkwidget.c:3259
#7  0x0000003c47cf230f in IA__gtk_widget_map (widget=Could not find the frame
base for "IA__gtk_widget_map".
) at gtkwidget.c:3133
#8  0x0000003c47ad2d3c in gtk_container_map_child (child=Could not find the
frame base for "gtk_container_map_child".
)
    at gtkcontainer.c:2581
#9  0x0000003c47a7f340 in gtk_box_forall (container=Could not find the frame
base for "gtk_box_forall".
) at gtkbox.c:799
#10 0x0000003c47ad09c7 in IA__gtk_container_forall (container=Could not find the
frame base for "IA__gtk_container_forall".
)
    at gtkcontainer.c:1453
#11 0x0000003c47ad2d6f in gtk_container_map (widget=Could not find the frame
base for "gtk_container_map".
) at gtkcontainer.c:2589
#12 0x0000003c4620b62f in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#13 0x0000003c4621ee79 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#14 0x0000003c462209de in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#15 0x0000003c46220f23 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#16 0x0000003c47cf2328 in IA__gtk_widget_map (widget=Could not find the frame
base for "IA__gtk_widget_map".
) at gtkwidget.c:3135
#17 0x0000003c47d05923 in gtk_window_map (widget=Could not find the frame base
for "gtk_window_map".
) at gtkwindow.c:4339
#18 0x0000003c4620b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#19 0x0000003c4621ee79 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#20 0x0000003c462209de in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#21 0x0000003c46220f23 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#22 0x0000003c47cf2328 in IA__gtk_widget_map (widget=Could not find the frame
base for "IA__gtk_widget_map".
) at gtkwidget.c:3135
#23 0x0000003c47d057cb in gtk_window_show (widget=Could not find the frame base
for "gtk_window_show".
) at gtkwindow.c:4304
#24 0x0000003c4620b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#25 0x0000003c4621ee79 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#26 0x0000003c462209de in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#27 0x0000003c46220f23 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#28 0x0000003c47cf1ccc in IA__gtk_widget_show (widget=Could not find the frame
base for "IA__gtk_widget_show".
) at gtkwidget.c:2943
#29 0x00007f6244660a9d in ?? ()
   from /usr/lib64/python2.5/site-packages/gtk-2.0/gtk/_gtk.so
#30 0x000000383f8be1d1 in PyEval_EvalFrameEx (f=<value optimized out>, 
    throwflag=<value optimized out>) at Python/ceval.c:3548
#31 0x000000383f8bfa7d in PyEval_EvalCodeEx (co=<value optimized out>, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=<value optimized out>, argcount=<value optimized out>, 
    kws=<value optimized out>, kwcount=<value optimized out>, 
    defs=<value optimized out>, defcount=<value optimized out>, 
    closure=<value optimized out>) at Python/ceval.c:2831
#32 0x000000383f85ba32 in function_call (func=<value optimized out>, 
    arg=<value optimized out>, kw=<value optimized out>)
    at Objects/funcobject.c:517
#33 0x000000383f83d173 in PyObject_Call (func=<value optimized out>, 
    arg=<value optimized out>, kw=<value optimized out>)
    at Objects/abstract.c:1860
#34 0x000000383f8443b0 in instancemethod_call (func=<value optimized out>, 
    arg=<value optimized out>, kw=<value optimized out>)
    at Objects/classobject.c:2497
#35 0x000000383f83d173 in PyObject_Call (func=<value optimized out>, 
    arg=<value optimized out>, kw=<value optimized out>)
    at Objects/abstract.c:1860
#36 0x000000383f88851a in slot_tp_call (self=<value optimized out>, 
    args=<value optimized out>, kwds=<value optimized out>)
    at Objects/typeobject.c:4633
#37 0x000000383f83d173 in PyObject_Call (func=<value optimized out>, 
    arg=<value optimized out>, kw=<value optimized out>)
    at Objects/abstract.c:1860
#38 0x000000383f8bb943 in PyEval_EvalFrameEx (f=<value optimized out>, 
    throwflag=<value optimized out>) at Python/ceval.c:3775
#39 0x000000383f8bfa7d in PyEval_EvalCodeEx (co=<value optimized out>, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=<value optimized out>, argcount=<value optimized out>, 
    kws=<value optimized out>, kwcount=<value optimized out>, 
    defs=<value optimized out>, defcount=<value optimized out>, 
    closure=<value optimized out>) at Python/ceval.c:2831
#40 0x000000383f8be45c in PyEval_EvalFrameEx (f=<value optimized out>, 
    throwflag=<value optimized out>) at Python/ceval.c:3660
#41 0x000000383f8bfa7d in PyEval_EvalCodeEx (co=<value optimized out>, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=<value optimized out>, argcount=<value optimized out>, 
    kws=<value optimized out>, kwcount=<value optimized out>, 
    defs=<value optimized out>, defcount=<value optimized out>, 
    closure=<value optimized out>) at Python/ceval.c:2831
#42 0x000000383f8bfcc2 in PyEval_EvalCode (co=<value optimized out>, 
    globals=<value optimized out>, locals=<value optimized out>)
    at Python/ceval.c:494
#43 0x000000383f8db861 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=<value optimized out>, 
    locals=<value optimized out>, flags=<value optimized out>, 
    arena=<value optimized out>) at Python/pythonrun.c:1271
#44 0x000000383f8db936 in PyRun_FileExFlags (fp=<value optimized out>, 
    filename=<value optimized out>, start=<value optimized out>, 
    globals=<value optimized out>, locals=<value optimized out>, 
    closeit=<value optimized out>, flags=Could not find the frame base for
"PyRun_FileExFlags".
) at Python/pythonrun.c:1257
#45 0x000000383f8dcf1d in PyRun_SimpleFileExFlags (fp=<value optimized out>, 
    filename=<value optimized out>, closeit=<value optimized out>, 
    flags=<value optimized out>) at Python/pythonrun.c:877
#46 0x000000383f8e6bb9 in Py_Main (argc=<value optimized out>, 
    argv=<value optimized out>) at Modules/main.c:523
#47 0x000000382741e40a in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
    init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=Could not find the frame base for
"__libc_start_main".
) at libc-start.c:220
#48 0x0000000000400649 in _start ()

Happens just running it from the commandline.

Version-Release number of selected component (if applicable):

codeina-0.10.1-7.r1421.fc9.noarch
Comment 1 Bill Nottingham 2008-04-04 14:07:25 EDT
Note: svn version isn't in rawhide yet.
Comment 2 Bug Zapper 2008-05-14 04:54:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bastien Nocera 2008-10-09 11:55:18 EDT
That version wasn't actually shipped anywhere, closing.

Note You need to log in before you can comment on or make changes to this bug.